<?php
/***************************************************************************\
|  AttMp3    Script          						  version 1.0           |
| (c)2009-2010 AttMp3    Script                       http://attscripts.com |
|---------------------------------------------------------------------------|
|     AttMp3    Script is a product of                    AttScript.com     |
|---------------------------------------------------------------------------|
\***************************************************************************/

@error_reporting( 7 );
@ini_set( 'display_errors', true );
@ini_set( 'html_errors', false );

@session_start();

define( 'DATALIFEENGINE', true );
define( 'ROOT_DIR', '../..' );
define( 'ENGINE_DIR', '..' );

include ENGINE_DIR . '/data/config.php';

if( $config['http_home_url'] == "" ) {
	
	$config['http_home_url'] = explode( "engine/ajax/addcomments.php", $_SERVER['PHP_SELF'] );
	$config['http_home_url'] = reset( $config['http_home_url'] );
	$config['http_home_url'] = "http://" . $_SERVER['HTTP_HOST'] . $config['http_home_url'];

}

require_once ENGINE_DIR . '/classes/mysql.php';
require_once ENGINE_DIR . '/data/dbconfig.php';
require_once ENGINE_DIR . '/modules/functions.php';
require_once ENGINE_DIR . '/classes/templates.class.php';

$_REQUEST['skin'] = totranslit($_REQUEST['skin'], false, false);

if( ! @is_dir( ROOT_DIR . '/templates/' . $_REQUEST['skin'] ) ) {
	die( "Hacking attempt!" );
}

//################# check user group
$user_group = get_vars( "usergroup" );

if( ! $user_group ) {
	$user_group = array ();
	
	$db->query( "SELECT * FROM " . USERPREFIX . "_usergroups ORDER BY id ASC" );
	
	while ( $row = $db->get_row() ) {
		
		$user_group[$row['id']] = array ();
		
		foreach ( $row as $key => $value ) {
			$user_group[$row['id']][$key] = $value;
		}
	
	}
	set_vars( "usergroup", $user_group );
	$db->free();
}

if( $config["lang_" . $_REQUEST['skin']] ) {
	
	@include_once (ROOT_DIR . '/language/' . $config["lang_" . $_REQUEST['skin']] . '/website.lng');

} else {
	
	include_once ROOT_DIR . '/language/' . $config['langs'] . '/website.lng';

}
$config['charset'] = ($lang['charset'] != '') ? $lang['charset'] : $config['charset'];
// Neu khong login thi gan cho user group = 5
require_once ENGINE_DIR . '/modules/sitelogin.php';
if( ! $is_logged ) {
	$member_id['user_group'] = 5;
}

$tpl = new dle_template( );
$tpl->dir = ROOT_DIR . '/templates/' . $_REQUEST['skin'];
define( 'TEMPLATE_DIR', $tpl->dir );

$ajax_adds = true;

$_POST['title'] = convert_unicode( $_POST['title'], $config['charset']  );
$_POST['artist'] = convert_unicode( $_POST['artist'], $config['charset'] );
$_POST['lyric'] = convert_unicode( $_POST['lyric'], $config['charset'] );

//###############################################################################
require_once ENGINE_DIR . '/classes/parse.class.php';

$parse = new ParseFilter( );
$parse->safe_mode = true;
$parse->allow_url = $user_group[$member_id['user_group']]['allow_url'];
$parse->allow_image = $user_group[$member_id['user_group']]['allow_image'];

$_TIME = time() + ($config['date_adjust'] * 60);
$_IP = $db->safesql( $_SERVER['REMOTE_ADDR'] );

$title = $db->safesql( $parse->process( trim( $_POST['name'] ) ) );
$mail = $db->safesql( $parse->process( trim( $_POST['mail'] ) ) );
$song_id = intval( $_POST['song_id'] );
$stop = array ();


//if( $is_logged ) {
//	$title = $member_id['name'];
//	$mail = $member_id['email'];
//}


$lyric = $db->safesql( $parse->BB_Parse( $parse->process( $_POST['lyric'] ), false ) );


if( strlen( $title ) > 150 ) {
	$stop[] = 'Song name is too long. 150 words.';
	$CN_HALT = TRUE;
}

if( strlen( $artist ) > 150 ) {
	$stop[] = 'Artist name is too long. 150 words.';
	$CN_HALT = TRUE;
}

if( ! $song_id ) {
	$stop[] = $lang['news_err_id'];
	$CN_HALT = TRUE;
}
if( strlen( $lyric ) > 1000 ) {
	$stop[] = 'Artist name is too long. 1000 words.';
	$CN_HALT = TRUE;
}

if( $lyric == '' ) {
	$stop[] = $lang['news_err_11'];
	$CN_HALT = TRUE;
}

// Kiem tra bai hat co ton hai khong
$row = $db->super_query( "SELECT id from " . PREFIX . "_countplay WHERE id='$song_id'" );
$options = news_permission( $row['access'] );

if( ! $is_logged ) die( "Hacking attempt!" );

if( ! $row['id'] or ! $row['lock_lyric']) {
	$stop[] = $lang['news_err_29'];
	$CN_HALT = TRUE;
}

// kiem tra xem name co trung voi user nao khong
if( empty( $title ) and $CN_HALT != TRUE ) {
	$stop[] = $lang['news_err_9'];
	$CN_HALT = TRUE;
}

// ======================================================
if( $CN_HALT ) {
	
	msgbox( $lang['all_err_1'], implode( "<br />", $stop ) . "<br /><br /><a href=\"javascript:history.go(-1)\">" . $lang['all_prev'] . "</a>" );

} else {
	
	$update_comments = false;
	
	$row = $db->super_query( "SELECT id, song_id, user_id, DATE_FORMAT(date,'%Y-%m-%d') as date, text, ip, is_register, approve FROM " . PREFIX . "_musiccomments WHERE song_id = '$song_id' ORDER BY id DESC LIMIT 0,1" );
	
	if( $row['id'] ) {
		
		if( $row['user_id'] == $member_id['user_id'] and $row['is_register'] ) $update_comments = true;
		elseif( $row['ip'] == $_IP and ! $row['is_register'] and ! $is_logged ) $update_comments = true;
		
		if( $row['date'] != date( "Y-m-d", $_TIME ) ) $update_comments = false;
		
		if( ((strlen( $row['text'] ) + strlen( $lyric )) > $config['comments_maxlen']) and $update_comments ) {
			$update_comments = false;
			$stop[] = $lang['news_err_3'];
			$CN_HALT = TRUE;
			msgbox( $lang['all_err_1'], implode( "<br />", $stop ) . "<br /><br /><a href=\"javascript:history.go(-1)\">" . $lang['all_prev'] . "</a>" );
		
		}
	
	}
	
	if( ! $CN_HALT ) {
		//Up data lyric for comment here
			if( $is_logged ) $db->query( "INSERT INTO " . PREFIX . "_musiccomments (song_id, user_id, date, autor, email, text, ip, is_register, approve) values ('$song_id', '$member_id[user_id]', '$time', '$title', '$mail', '$lyric', '$_IP', '1', '$where_approve')" );
			else $db->query( "INSERT INTO " . PREFIX . "_musiccomments (song_id, date, autor, email, text, ip, is_register, approve) values ('$song_id', '$time', '$title', '$mail', '$lyric', '$_IP', '0', '$where_approve')" );
		} else
		msgbox( $lang['all_err_1'], implode( "<br />", $stop ) . "<br /><br /><a href=\"javascript:history.go(-1)\">" . $lang['all_prev'] . "</a>" );

}
//############################################################################################

$tpl->result['content'] = 'thank ku';

$tpl->result['content'] = str_replace( '{THEME}', $config['http_home_url'] . 'templates/' . $_REQUEST['skin'], $tpl->result['content'] );

@header( "Content-type: text/css; charset=" . $config['charset'] );
echo $tpl->result['content'];
?>