<?php
/***************************************************************************\
|  AttMp3    Script          						  version 1.0           |
| (c)2009-2010 AttMp3    Script                       http://attscripts.com |
|---------------------------------------------------------------------------|
|     AttMp3    Script is a product of                    AttScript.com     |
|---------------------------------------------------------------------------|
\***************************************************************************/
@session_start();

@error_reporting( E_ALL ^ E_NOTICE );
@ini_set( 'display_errors', true );
@ini_set( 'html_errors', false );
@ini_set( 'error_reporting', E_ALL ^ E_NOTICE );

define( 'DATALIFEENGINE', true );
define( 'ROOT_DIR', '../..' );
define( 'ENGINE_DIR', '..' );

$member_id = FALSE;
$is_logged = FALSE;
$allow_sql_skin = false;

include ENGINE_DIR . '/data/config.php';

if( $config['http_home_url'] == "" ) {
	
	$config['http_home_url'] = explode( "engine/ajax/pages.php", $_SERVER['PHP_SELF'] );
	$config['http_home_url'] = reset( $config['http_home_url'] );
	$config['http_home_url'] = "http://" . $_SERVER['HTTP_HOST'] . $config['http_home_url'];

}

require_once ENGINE_DIR . '/classes/mysql.php';
require_once ENGINE_DIR . '/data/dbconfig.php';

$PHP_SELF = $config['http_home_url'] . "index.php";
$_TIME = time() + ($config['date_adjust'] * 60);

require_once ENGINE_DIR . '/modules/functions.php';
require_once ENGINE_DIR . '/classes/templates.class.php';

$metatags = array (
				'title' => $config['home_title'], 
				'description' => $config['description'], 
				'keywords' => $config['keywords'],
				'header_title' => "" );



if( $category_skin != "" ) {
	if( @is_dir( ROOT_DIR . '/templates/' . $category_skin ) ) {
		$config['skin'] = $category_skin;
	}
} elseif( $_COOKIE['dle_skin'] != '' ) {
	
	if( @is_dir( ROOT_DIR . '/templates/' . $_COOKIE['dle_skin'] ) ) {
		$config['skin'] = $_COOKIE['dle_skin'];
	}
}

if( $config["lang_" . $config['skin']] ) {
	
	include_once ROOT_DIR . '/language/' . $config["lang_" . $config['skin']] . '/website.lng';

} else {
	
	include_once ROOT_DIR . '/language/' . $config['langs'] . '/website.lng';

}

$config['charset'] = ($lang['charset'] != '') ? $lang['charset'] : $config['charset'];

$tpl = new dle_template( );
$tpl->dir = ROOT_DIR . '/templates/' . $config['skin'];
define( 'TEMPLATE_DIR', $tpl->dir );

$dowot = $_REQUEST['do'];
$action = $_REQUEST[action];

if($dowot == 'playlist') {
    if ($action !='new' && $action !='listen') die();
    
    if ($action =='new') $order = 'id';
	else $order = 'count';
    
    $results_per_page = $config['num_hotplaylist'];
    $limit = $results_per_page * 5;
    
    $sql_result = $db->query("SELECT * FROM " . PREFIX . "_user_creatplaylist where song > 0 ORDER by ".$order." DESC LIMIT 0,".$limit."");
	
	$att_num = $db->num_rows($sql_result);
	
	$page = isset ( $_GET["page"] ) ? intval ( $_GET["page"] ) : 1;
	if($_GET["page"] == '') $page = 1;
	
	$page_start = ( $page - 1 ) * $results_per_page;
	$page_end = $page * $results_per_page;
	$number_of_page = ceil ( $att_num / $results_per_page );
	$link_page = $config['http_home_url'].'playlist/'.$action;
	
	$link_page2 = $config['http_home_url'].'playlist/'.$action;
	$keyword = str_replace(" ","+",$qtxt );
	$ajaxlink = 'do=playlist&amp;action='.$action;
	$actionpage = $action."pages";
	
	if ($action =='new') $actionHtmlID = 'NewPlaylist';
	else $actionHtmlID = 'HotPlaylist';
	
	attmp3_navigation('mp3/navigation.tpl', "javascript:void(0);", $dolink, $att_num, $results_per_page, $action."pages", $attmp3ajax = TRUE, $ajaxlink, 'AttModulesPage', $actionHtmlID);
$i = 0;
	while($result = $db->get_row($sql_result))
	{
if ( $i >= $page_start ){
	$query = $db->query("SELECT id FROM " . PREFIX . "_user_music_fov WHERE pid = '".$result[id]."'");  
	$count = $db->num_rows($query);
   	$tpl->load_template('mp3/listing.tpl');
	$tpl->set_block("'\\[playlist_main\\].*?\\[/playlist_main\\]'si","");
	$tpl->set_block("'\\[video_small\\].*?\\[/video_small\\]'si","");
	$tpl->set_block("'\\[music_small\\].*?\\[/music_small\\]'si","");
	$tpl->set_block("'\\[tag_list\\].*?\\[/tag_list\\]'si","");
	$tpl->set_block("'\\[music_main\\].*?\\[/music_main\\]'si","");
	$tpl->set_block("'\\[video_main\\].*?\\[/video_main\\]'si","");
	$tpl->set('[playlist_small]',"");
	$tpl->set('[/playlist_small]',"");

	$tpl->set('{count}',$result[count]);
	$tpl->set('{numsong}',$result[song]);
	$tpl->set('{title}',ucwords($result[name]));
    $tpl->set('{pname}',$result[name]);
	$tpl->set('{image}',$config['http_home_url'].'uploads/playlist/'.str_replace(" ", "%20", $result[image]));  
    $tpl->set('{member}',$result[member]);

	$linkplay = $config['http_home_url'].'member/listenplaylist/'.$result[member].'/'.$result[id].'/';  
	$tpl->set('{linkmember}',$config['http_home_url'].'user/'.$result[member].'/');
	$tpl->set('{linkplay}',$config['http_home_url'].'playlist/'.removetype(strtolower($result[name])).'_'.$result[id].'.html');  

	$tpl->set('{THEME}',$config['http_home_url'].'templates/'.$config['skin']);
	$tpl->compile('content');
	$tpl->clear();
}
$i++;
if ($i >= $page_end)
{
break;
}
}
$db->free();
}elseif($dowot == 'music') {
    if ($action !='new' && $action !='hot') die();
    
    $results_per_page = $config['num_musichot'];
    $limit = $results_per_page * 5;
    
    if ($action =='new') $sql_result = $db->query("SELECT hash,title,artist,bl FROM " . PREFIX . "_countplay WHERE bl = 0 ORDER BY count DESC LIMIT 0,".$limit."");
	
	else $sql_result = $db->query("SELECT * FROM " . PREFIX . "_musictop WHERE published = 'yes' ORDER BY m_id DESC LIMIT 0,".$limit."");
	
	$att_num = $db->num_rows($sql_result);
	
	$page = isset ( $_GET["page"] ) ? intval ( $_GET["page"] ) : 1;
	if($_GET["page"] == '') $page = 1;
	
	$page_start = ( $page - 1 ) * $results_per_page;
	$page_end = $page * $results_per_page;
	$number_of_page = ceil ( $att_num / $results_per_page );
	$link_page = $config['http_home_url'].'music/'.$action;
	
	$link_page2 = $config['http_home_url'].'music/'.$action;
	$keyword = str_replace(" ","+",$qtxt );
	$ajaxlink = 'do=music&amp;action='.$action;
	$actionpage = $action."pages";
	
	if ($action =='new') $actionHtmlID = 'TopListen';
	else $actionHtmlID = 'HotMusic';
	
	attmp3_navigation('mp3/navigation.tpl', "javascript:void(0);", $dolink, $att_num, $results_per_page, $action."pages", $attmp3ajax = TRUE, $ajaxlink, 'AttModulesPage', $actionHtmlID);
$i = 0;
	while($result = $db->get_row($sql_result))
	{
if ( $i >= $page_start ){
	$tpl->load_template('mp3/listing.tpl');
	$tpl->set_block("'\\[playlist_main\\].*?\\[/playlist_main\\]'si","");
	$tpl->set_block("'\\[playlist_small\\].*?\\[/playlist_small\\]'si","");
	$tpl->set_block("'\\[video_small\\].*?\\[/video_small\\]'si","");
	$tpl->set_block("'\\[tag_list\\].*?\\[/tag_list\\]'si","");
	$tpl->set_block("'\\[music_main\\].*?\\[/music_main\\]'si","");
	$tpl->set_block("'\\[video_main\\].*?\\[/video_main\\]'si","");
	$tpl->set('[music_small]',"");
	$tpl->set('[/music_small]',"");
if ($action =='hot'){
	
	$tpl->set('{name}', $result[m_title] );
	$tpl->set('{encname}', enc($result[m_title]) );
	$tpl->set('{homepage}', $config['http_home_url'] );
	$tpl->set('{singer}', $result[m_singer] );
	$tpl->set('{url}', enc($result[m_url]) );
	$checkid = md5($result[m_url]);
	$checkid = substr($checkid, -6);
	$tpl->set('{hash}', $checkid );
	$tpl->set('{THEME}', $config['http_home_url'].'templates/'.$config['skin'] );
	$tpl->set('{singlelink}', $config['http_home_url'].'music/'.removetype(strtolower(  $result[m_title] )).'_'.$checkid.'.html');
	$tpl->set('{poplink}', $config['http_home_url'].'engine/mp3/listen.php?name='.enc($result[m_title]).'&url='.enc($result[m_url]));
    $tpl->set('{musiclink}', addslashes($result[m_url]));
}else{
	if(!$result[bl]){
	$tpl->set('{hash}', $result[hash] );
	$tpl->set('{name}', $result[title] );
	$tpl->set('{encname}', enc($result[title]) );
	$tpl->set('{homepage}', $config['http_home_url'] );
	if($result[artist]=='Unknown') $result[artist] = 'Song Collection';
	$tpl->set('{singer}', $result[artist] );
	$tpl->set('{url}', enc($result[url]) );
	$tpl->set('{THEME}', $config['http_home_url'].'templates/'.$config['skin'] );
	$tpl->set('{singlelink}', $config['http_home_url'].'music/'.removetype(strtolower(  $result[title] )).'_'.$result[hash].'.html');
	$tpl->set('{poplink}', $config['http_home_url'].'engine/mp3/listen.php?name='.enc($result[title]).'&url='.enc($result[url]));
    $tpl->set('{musiclink}', addslashes($result[url]));
    }
}

	$tpl->compile('content');
	$tpl->clear();
}
$i++;
if ($i >= $page_end)
{
break;
}
}
$db->free();
}

$tpl->result[$actionpage] = str_replace("{THEME}",$config['http_home_url'].'templates/'.$config['skin'],$tpl->result[$actionpage] );

echo '<ul>'.stripslashes($tpl->result['content']).'</ul>'.stripslashes($tpl->result[$actionpage]);

?>