<?php
@session_start();

define('DATALIFEENGINE', true);
define('ROOT_DIR', '../..');
define('ENGINE_DIR', ROOT_DIR.'/engine');

@error_reporting(E_ALL ^ E_NOTICE);
@ini_set('display_errors', true);
@ini_set('html_errors', false);
@ini_set('error_reporting', E_ALL ^ E_NOTICE);

require ENGINE_DIR.'/data/config.php';

require_once ENGINE_DIR.'/classes/mysql.php';
require_once ENGINE_DIR.'/data/dbconfig.php';
require_once ENGINE_DIR.'/modules/functions.php';
require_once ENGINE_DIR.'/modules/sitelogin.php';
	
	if (!$is_logged) exit('<b>Please login first</b>');

    $dir = ROOT_DIR . "/uploads/playlist/";
    $fSizeMaxMB = $config['music_files_size']; //max file size in MB
    $fSizeMax = $fSizeMaxMB * 1024 * 1024; // max file size in bytes
    
	// file types of image allowed, used for generate BBCode for image
    $fTypeAllowed = '.jpg, .png'; // file types allowed
    
    function errShow($error)
    {
        global $copyright;
        
        echo "
            <table align='center' cellpadding='5' cellspacing='0'>
                <tr><th>Error!</th></tr>
                <tr><td>".$error.".</td></tr>
                <tr><td>Please do it again.</td></tr>
            </table>
        ";
        copyrightShow();
        die();
    }
   
    function copyrightShow()
    {
        echo "<br><center>Copyright &copy 2009 <a href=\"http://attmp3.com\" target=\"_blank\" title='Visit Website'>AttMp3.com</a>. All rights reserved.</center>";
        
        return 0;
    }
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title> User Creat Playlist </title>
<style>
/*
@import url(unity_header.css);
@import url(unity_footer.css);
@import url(an_main_nav.css);
*/
/*===== Bat dau Css Du`ng Chung =====*/
*{margin:0px; padding:0px}
body{
	color:#000;
	font-family:Arial;
	font-size:12px;
	text-align:left;
	background:url("bg_body.gif") repeat-y center center;
}
a{
	background-color:inherit;
	text-decoration:none;
	outline:none;
}
a:hover{text-decoration:underline}
img{border:0px}
ul{list-style-type:none;}
li{list-style-type:none;}

/* Nhap lieu */
input{
	font-family:Tahoma, arial, sans-serif;
	font-size:11px;
}
textarea{
	font-family:Tahoma, arial, sans-serif;
	font-size:11px;
}
select{
 font-family:Tahoma, arial, sans-serif;
	font-size:11px;
}
/* easy clearing */
.clearfix:after{
	content:'[DO NOT LEAVE IT IS NOT REAL]'; 
	display:block; 
	height:0; 
	clear:both; 
	visibility:hidden;
}
.clearfix{
	display:inline;
	position:relative;
}
.clearfix{
	display:block;
}
/* end easy clearing */
/*===== Ket thuc Css Du`ng Chung =====*/
#uni_wrapper{ 
	width:974px;
	background:#fff;
	margin:auto;
}

/* BANNER FLOATING */
#floatdiv {position:absolute; z-index:9999; top:115px; width:100px; height:435px; margin-left:-108px; }		
#floatdiv1{position:absolute; z-index:9999; top:115px; width:100px; height:435px;}
#an_addoption{
	width:506px;
	height:auto;
	margin-bottom:9px;
	font-size: 11px;		/* ! */

}
#an_addoption a{
	background-color:inherit;
	text-decoration:none;
	outline:none;
	color:#fb8f34;
}
#an_addoption a:hover{text-decoration:underline;color:#fb8f34;
}

#an_addoption .f_textarea {
	color: #757575;		/* ! */
	font-size: 11px;		/* ! */
	font-family: tahoma;	/* ! */
	background-image: url(../images/dlet_field_o.gif);
	background-repeat: repeat-x;
	
	width: 459px;
	height: 156px;
	border: 1px solid #e0e0e0;
}
#an_addoption .f_input {
	color: #757575;		/* ! */
	font-size: 11px;		/* ! */
	font-family: tahoma;	/* ! */
	background-image: url(../images/dlet_field_o.gif);
	background-repeat: repeat-x;
	
	width: 300px;
	height: 14px;
	border: 1px solid #e0e0e0;
}
#an_addoption .f_select {
	color: #757575;		/* ! */
	font-size: 11px;		/* ! */
	font-family: tahoma;	/* ! */
	background-image: url(../images/dlet_field_o.gif);
	background-repeat: repeat-x;
	
	height: 14px;
	border: 1px solid #e0e0e0;
}

#an_addoption .an_bvcl_header{
	width:506px;
	height:24px;
	background:url("an_bg_hr_organ_4x24.gif") no-repeat right top;
	clear:both;
}
#an_addoption .an_bvcl_header a{
	background-color:inherit;
	text-decoration:none;
	outline:none;
	color:#fff;
}
#an_addoption .an_bvcl_header span{
	display:block;
	background:url("an_bg_hl_organ_4x24.gif") no-repeat left top;
	width:502px;
	height:24px;
	padding-left:4px;
	float:left;
}
#an_addoption .an_bvcl_header span strong{
	display:block;
	width:488px;
	height:24px;
	line-height:24px;
	color:#fff;
	overflow:hidden;
	background:url("an_bg_hc_organ_1x24.gif") repeat-x ; 
	padding-left:10px;
}
#an_addoption .an_bvcl_content{
	width:489px;
	_width:493px;
	height:auto;
	background:#fff;
	padding:18px 0px 10px 17px; 
	_margin-top:-2px; _padding:18px 0px 10px 13px;
	overflow:hidden;
	clear:both;
}
#an_addoption .an_bvcl_bottom{
	width:506px;
	height:7px;
	background:url("an_bg_b_white_500x7.gif") no-repeat;
	font-size:7px;
}
</style>
    
    <script language="JavaScript">
        function Loading()
        {
            document.getElementById("loading").innerHTML = "<center><b>Creating. Please wait...</b></center><br>";
        }
    </script>
</head>
<body>
<?

if($_REQUEST['action'] == '')
{
?>


<div id="an_addoption">
	<div class="an_bvcl_header clearfix"><span><strong>User Creat Playlist</strong></span>				    
	</div>
	<div id="an_addoption" class="an_bvcl_content">
    <?php
        echo "
            <form action='" . $_SERVER["PHP_SELF"] . "' method='post' enctype='multipart/form-data' onSubmit='javascript:Loading();'>
                <input type='hidden' name='MAX_FILE_SIZE' value='$fSizeMax' />
                <table align='center' cellpadding='5' cellspacing='0'>
                    <tr><td>Title</td></tr>
        			<tr><td><input type='text' name='title' id='title' size='40' value=''></td></tr>
        			<tr><td>Keyword</td></tr>
        			<tr><td><input type='text' name='key' id='key' size='40' value=''></td></tr>
					<tr><td>Description</td></tr>
					<tr><td><input type='text' name='desc' id='desc' size='40' value=''></td></tr>
					<tr><td>Allow comment</td></tr>
					<tr><td><select name='allow_comm' id='allow_comm'><option value='1'>Yes</option><option value='0'>No</option></select></td></tr>
					<tr><td>Allow rate</td></tr>
					<tr><td><select name='allow_rate' id='allow_rate'><option value='1'>Yes</option><option value='0'>No</option></select></td></tr>

                    <tr><th>Image</th></tr>
                    <tr><td><input type='file' name='fUpload' size='68' />&nbsp;<input type='submit' value='Create'></td></tr>
                    <tr><td>Max file size: <font color='red'>$fSizeMaxMB MB</font></td></tr>
                    <tr><td>File types allowed: <font color='red'>$fTypeAllowed</font></td></tr>
                </table>
            </form>
        ";
        echo "<div id='loading'></div>";
        if (isset($_FILES["fUpload"]))
        {
            // check error while uploading
            if ($_FILES["fUpload"]["error"])
            {
                errShow('Playlist must have image');
            }
            
                        // check file name
            $fName = strtolower($_FILES["fUpload"]["name"]);
            
            $title = $_POST['title'];
            if ($title == '')
            {
                errShow('Playlist must have "title"');
            }
            $allow_comm = $_POST['allow_comm'];
            if ($allow_comm == '')
            {
                die('Hacking');
            }
            
            $allow_rate = $_POST['allow_rate'];
            if ($allow_rate == '')
            {
                die('Hacking');
            }
            
            $key = $_POST['key'];
            $desc = $_POST['desc'];

            $fType = strstr($fName, ".");
            if (strpos($fTypeAllowed, $fType) === false)
            {
                errShow();
            }
            
            // create md5 hash for file and use it as new file name
            $fName = md5_file($_FILES["fUpload"]["tmp_name"]) .mt_rand(1111111, 9999999). $fType;
            $destination = $dir . $fName;
            
            

				    $image = $_FILES['fUpload']['tmp_name'];
    				$image_name = $_FILES['fUpload']['name'];
					$image_size = $_FILES['fUpload']['size'];
    				$image_name  = str_replace(" ", "_", $image_name);
					$img_name_arr = explode(".",$image_name);
					$type         = end($img_name_arr);
					include_once ENGINE_DIR.'/classes/thumb.class.php';

					$imagename = md5(mt_rand(1111111, 9999999));
					$res = @move_uploaded_file($image, ROOT_DIR."/uploads/playlist/playlist_".$member_id['name']."_".$imagename.".".$type);
					if ($res) {
						$thumb=new thumbnail(ROOT_DIR."/uploads/playlist/playlist_".$member_id['name']."_".$imagename.".".$type);
						$thumb->size_auto('110');	
						$thumb->jpeg_quality($config['jpeg_quality']);
						$thumb->save(ROOT_DIR."/uploads/playlist/playlist_".$member_id['name']."_".$imagename.".".$type);
						@unlink (ROOT_DIR."/uploads/playlist_".$member_id['name']."_".$imagename.".".$type);
						$foto_name = "playlist_".$member_id['name']."_".$imagename.".".$type;
					} else echo 'error';

            $db->query("INSERT INTO `" . PREFIX . "_user_creatplaylist` (`id`, `name`, `image`, `key`, `desc`, `member`, `allow_comm`, `allow_rate`, `approve`) VALUES ('', '".addslashes($title)."', '$foto_name', '".addslashes($key)."' , '".addslashes($desc)."' , '".addslashes($member_id['name'])."', '$allow_comm','$allow_rate','1');");
            $db->query("UPDATE " . USERPREFIX . "_users set playlist=playlist+1 where name='".$member_id['name']."'");
            echo "
                <table align='center' cellpadding='5' cellspacing='0'>
                    <tr><th colspan='2'>Create playlist successfully!</th></tr>
                </table>
                <script>alert('Create playlist successfully!');window.close();if (window.opener && !window.opener.closed) {window.opener.location.reload();}</script>
            ";
         copyrightShow(); 
        }
        copyrightShow(); 
  ?>

<?}elseif($_REQUEST['action'] == 'edit'){
	?>
	<div id="an_addoption">
	<div class="an_bvcl_header clearfix"><span><strong>User Edit Playlist</strong></span>				    
	</div>
	<div class="an_bvcl_content">
    <?php
	if($member_id['user_group']==1)
	{
    $sql_result = $db->query("SELECT * FROM " . PREFIX . "_user_creatplaylist where id = '".$_GET[id]."'");
	$count = $db->num_rows($sql_result);
	if(!$count) die('Not found playlist!');
	}else{
    $sql_result = $db->query("SELECT * FROM " . PREFIX . "_user_creatplaylist where id = '".$_GET[id]."' AND member = '".$member_id['name']."'");
	$count = $db->num_rows($sql_result);
	if(!$count) die('Hacking!');
	}$result = $db->get_row($sql_result);
        echo "
            <form action='" . $_SERVER["PHP_SELF"] . "?action=edit&id=".$_GET[id]."&rand=".mt_rand(1111111, 9999999)."' method='post' enctype='multipart/form-data' onSubmit='javascript:Loading();'>
                <input type='hidden' name='MAX_FILE_SIZE' value='$fSizeMax' />
                <table align='center' cellpadding='5' cellspacing='0'>
                    <tr><td>Title</td></tr>
        			<tr><td><input type='text' name='title' id='title' size='40' value=\"".stripcslashes($result[name])."\"></td></tr>
					<tr><td>Allow comment</td></tr>
					<tr><td><select name='allow_comm' id='allow_comm'><option value='1'>Yes</option><option value='0'>No</option></select></td></tr>
					<tr><td>Allow rate</td></tr>
					<tr><td><select name='allow_rate' id='allow_rate'><option value='1'>Yes</option><option value='0'>No</option></select></td></tr>

                    <tr><th>Image</th></tr>
                    <tr><td><input type='file' name='fUpload' size='68' />&nbsp;<input type='submit' value='Edit Now'></td></tr>
                    <tr><td>Max file size: <font color='red'>$fSizeMaxMB MB</font></td></tr>
                    <tr><td>File types allowed: <font color='red'>$fTypeAllowed</font></td></tr>
                </table>
            </form>
        ";
        echo "<div id='loading'></div>";
        
        if (isset($_FILES["fUpload"]))
        {
            // check file name
            $fName = strtolower($_FILES["fUpload"]["name"]);
            
            $title = $_POST['title'];
            if ($title == '')
            {
                errShow('Playlist must have "title"');
            }
            $allow_comm = $_POST['allow_comm'];
            if ($allow_comm == '')
            {
                die('Hacking');
            }
            
            $allow_rate = $_POST['allow_rate'];
            if ($allow_rate == '')
            {
                die('Hacking');
            }
            
            $key = $_POST['key'];
            $desc = $_POST['desc'];

            if (!$_FILES["fUpload"]["error"])
            {

            // create md5 hash for file and use it as new file name
            $fName = md5_file($_FILES["fUpload"]["tmp_name"]) .mt_rand(1111111, 9999999). $fType;
            $destination = $dir . $fName;
            
            

				    $image = $_FILES['fUpload']['tmp_name'];
    				$image_name = $_FILES['fUpload']['name'];
					$image_size = $_FILES['fUpload']['size'];
    				$image_name  = str_replace(" ", "_", $image_name);
					$img_name_arr = explode(".",$image_name);
					$type         = end($img_name_arr);
					include_once ENGINE_DIR.'/inc/makethumb.php';
					$imagename = md5(mt_rand(1111111, 9999999));
					$res = @move_uploaded_file($image, ROOT_DIR."/uploads/playlist/playlist_".$member_id['name']."_".$imagename.".".$type);
					if ($res) {
						$thumb=new thumbnail(ROOT_DIR."/uploads/playlist/playlist_".$member_id['name']."_".$imagename.".".$type);
						$thumb->size_auto('110');	
						$thumb->jpeg_quality($config['jpeg_quality']);
						$thumb->save(ROOT_DIR."/uploads/playlist/playlist_".$member_id['name']."_".$imagename.".".$type);
						@unlink (ROOT_DIR."/uploads/playlist_".$member_id['name']."_".$imagename.".".$type);
						$foto_name = "playlist_".$member_id['name']."_".$imagename.".".$type;
					} else echo 'error';
			}
            // check if file has been uploaded
            $dh = opendir($dir) or errShow();
            while ($file = readdir($dh))
            {
                if ($file != "." && $file != ".." && $file != ".htaccess")
                {
                    if ($fName == $file)
                    {
                        echo "
                            <table align='center' cellpadding='5' cellspacing='0'>
                                <tr><th colspan='2'>This file has already been uploaded!</th></tr>
                                <tr><td colspan='2'>Link to this file:</th></tr>
                                <tr><td width='10%' align='left'>URL: </td><td><input type='text' size='70' readonly onClick='this.select()' value=''></td></tr>
                                <tr><td width='10%' align='left'>BBCode: </td><td><input type='text' size='70' readonly onClick='this.select()' value='$bbcode'></td></tr>
                                <tr><td colspan='2'>&nbsp;</td></tr>
                            </table>
                        ";
                        copyrightShow();
                        die();
                    }
                }
            }
            

	if($member_id['user_group']==1)
	{
            if ($_FILES["fUpload"]["error"])
            {
            $db->query("UPDATE " . USERPREFIX . "_user_creatplaylist set name='".addslashes($title)."' , allow_comm='$allow_comm' , allow_rate='$allow_rate' where id=".$_GET[id]." ");
            }else {
            $db->query("UPDATE " . USERPREFIX . "_user_creatplaylist set name='".addslashes($title)."' , image='$foto_name' , allow_comm='$allow_comm' , allow_rate='$allow_rate' where id=".$_GET[id]."");
            }

	}else{
            
                $sql_result = $db->query("SELECT * FROM " . PREFIX . "_user_creatplaylist where id = '".$_GET[id]."' AND member = '".$member_id['name']."'");
				$count = $db->num_rows($sql_result);
				if(!$count) die('Hacking!');

            
            if ($_FILES["fUpload"]["error"])
            {
            $db->query("UPDATE " . USERPREFIX . "_user_creatplaylist set name='".addslashes($title)."' , allow_comm='$allow_comm' , allow_rate='$allow_rate' where id=".$_GET[id]." ");
            }else {
            $db->query("UPDATE " . USERPREFIX . "_user_creatplaylist set name='".addslashes($title)."' , image='$foto_name' , allow_comm='$allow_comm' , allow_rate='$allow_rate' where id=".$_GET[id]."");
            }
	}
           
            echo "
                <table align='center' cellpadding='5' cellspacing='0'>
                    <tr><th colspan='2'>Edit playlist successfully!</th></tr>
                </table>
               <script>alert('Edit playlist successfully!');window.close();if (window.opener && !window.opener.closed) {window.opener.location.reload();}</script>
            ";
        }
        copyrightShow(); 
	}elseif($_REQUEST['action'] == 'delete'){
		
		$urlyes = urldecode($config['http_home_url'].'engine/mp3/playlist.php?action=delete&id='.$_GET[id].'&sure=yes');
	if($_GET[sure]=='yes')
	{
	
			if($member_id['user_group']==1)
			{
 			$sql_result = $db->query("SELECT * FROM " . PREFIX . "_user_creatplaylist where id = '".$_GET[id]."'");
			$count = $db->num_rows($sql_result);
			if(!$count) die('Not found playlist!');
			$db->query("DELETE FROM " . PREFIX . "_user_creatplaylist where id = '".$_GET[id]."'");
			echo "
               <script>alert('Delete playlist successfully!');window.close();if (window.opener && !window.opener.closed) {window.opener.location.reload();}</script>
            ";
			}else{
 			$sql_result = $db->query("SELECT * FROM " . PREFIX . "_user_creatplaylist where id = '".$_GET[id]."' AND member = '".$member_id['name']."'");
			$count = $db->num_rows($sql_result);
			if(!$count) die('Hacking!');
			$db->query("DELETE FROM " . PREFIX . "_user_creatplaylist where id = '".$_GET[id]."'");
			echo "
               <script>alert('Delete playlist successfully!');window.close();if (window.opener && !window.opener.closed) {window.opener.location.reload();}</script>
            ";
			}die('Hacking!');
	}elseif($_GET[sure]=='no')
	{
            echo "<script>window.close();if (window.opener && !window.opener.closed) {window.opener.location.reload();}</script>";	
     }else {
	
	?>
	                <div id="an_addoption">
	<div class="an_bvcl_header clearfix"><span><strong>Delete Playlist</strong></span>				    
	</div>
	<div id="an_addoption" class="an_bvcl_content">
          
	                <table align='center' cellpadding='5' cellspacing='0'>
                    <tr><td align='center'><b><br>You are trying to delete playlist! Are you sure?</b></td></tr>
                    <tr><td><b><br><input type='submit' onclick="window.location.replace('<?=$urlyes?>');" value='Yes, I want delete playlist'> <input type='submit' onclick="window.close();" value='No, just keep it'></td></tr>
                </table>
	<?
	}
	}
	?>
	</div>
	<div class="an_bvcl_bottom"></div>
</div>
</body>
</html>