<?php
if( ! defined( 'DATALIFEENGINE' ) ) {
	die( "Hacking attempt!" );
}

require_once ENGINE_DIR . '/classes/parse.class.php';

$parse = new ParseFilter( );
$parse->safe_mode = true;
$parse->allow_url = false;
$parse->allow_image = false;
$stopcreate = FALSE;
$stop = "";

if (!$is_logged) {
	$stopcreate = TRUE;
	msgbox( $lang['create_p'], $lang['create_error'] );
}
if( isset( $_POST['submit_val'] ) ) {
	
	$title= $db->safesql( $parse->process( $_POST['title'] ) );
	$desc = $db->safesql( $parse->process( $_POST['desc'] ) );
	$keyword = $db->safesql( $parse->BB_Parse( $parse->process( $_POST['keyword'] ), false ) );
	
	$allow_comm = $db->safesql( $parse->process( $_POST['allow_comm'] ) );
	$allow_rate = $db->safesql( $parse->process( $_POST['allow_rate'] ) );
	
	$image = $_FILES['image']['tmp_name'];
	
	if( ! $title ) $stop = $lang['cp_err_2'];
	if( ! $image ) $stop = $lang['cp_err_1'];
	
	$image_name = $_FILES['image']['name'];
	$image_size = $_FILES['image']['size'];
	$image_name = str_replace( " ", "_", $image_name );
	$img_name_arr = explode( ".", $image_name );
	$type = end( $img_name_arr );
	
	if( strlen( $title ) > 100 ) $stop .= $lang['cp_err_15'];
	if( strlen( $desc ) > 100 ) $stop .= $lang['cp_err_16'];
	if( strlen( $keyword ) > 200 ) $stop .= $lang['cp_err_17'];

//edit if you want playlist just can have symbols to publish
/*
	if ( preg_match( "/[\||\'|\<|\>|\"|\!|\]|\?|\$|\@|\/|\\\|\&\~\*\+]/", $title ) ) {

		$stop .= $lang['news_err_35'];
	}

	if ( preg_match( "/[\||\'|\<|\>|\"|\!|\]|\?|\$|\@|\/|\\\|\&\~\*\+]/", $desc ) ) {

		$stop .= $lang['news_err_36'];
	}
*/	
	if( is_uploaded_file( $image ) and ! $stop ) {

		if( $image_size < 5000000 ) {
			
			$allowed_extensions = array ("jpg", "png", "jpe", "jpeg", "gif" );
			
			if( (in_array( $type, $allowed_extensions ) or in_array( strtolower( $type ), $allowed_extensions )) and $image_name ) {
				
				include_once ENGINE_DIR . '/classes/thumb.class.php';
				
				$hash = md5(mt_rand(1111111, 9999999));
				$hash = substr($hash, -6);
				
				$res = @move_uploaded_file( $image, ROOT_DIR . "/uploads/playlist/" . $hash . "." . $type );
				
				if( $res ) {

					$thumb = new thumbnail( ROOT_DIR . "/uploads/playlist/" . $hash . "." . $type );
					$thumb->size_auto( 100 );
					$thumb->jpeg_quality( $config['jpeg_quality'] );
					$thumb->save( ROOT_DIR . "/uploads/playlist/" . $member_id['name'] .'-'. $hash . "." . $type );
					
					@unlink( ROOT_DIR . "/uploads/playlist/" . $hash . "." . $type );
					$foto_name = $member_id['name'] .'-'. $hash . "." . $type;
					
				} else
					$stop = $lang['reg_err_12'];
			} else
				$stop = $lang['reg_err_13'];
		} else
			$stop = $lang['cp2_err_16'];
	}
	
	if( $stop ) {
		msgbox( $lang['reg_err_18'], $stop );
	} else {
		
		$db->query("INSERT INTO `" . PREFIX . "_user_creatplaylist` (`id`, `name`, `image`, `key`, `desc`, `member`, `allow_comm`, `allow_rate`, `approve`) VALUES ('', '".$title."', '".$foto_name."', '".$keyword."' , '".$desc."' , '".$member_id['name']."', '".$allow_comm."','".$allow_rate."', 1);");
        $db->query("UPDATE " . USERPREFIX . "_users set playlist=playlist+1 where name='".$member_id['name']."'");
	
		msgbox( $lang['cp_ok'], $lang['cp_ok_1'] );
		$stopcreate = TRUE;
	}
}


if( ! $stopcreate ) {
	
	$tpl->load_template( 'createplaylist.tpl' );
	$tpl->set_block("'\\[edit\\].*?\\[/edit\\]'si","");
	$tpl->set_block("'\\[songlist\\].*?\\[/songlist\\]'si","");
	$tpl->set('[create]',"");
	$tpl->set('[/create]',"");
	$tpl->copy_template = "<form  method=\"post\" name=\"createplaylist\" enctype=\"multipart/form-data\" action=\"" . $config['http_home_url'] . "index.php?do=createplaylist\">\n" . $tpl->copy_template . "
<input name=\"submit_val\" type=\"hidden\" id=\"submit_val\" value=\"submit_val\" />
</form>";
	
	$tpl->compile( 'content' );
	$tpl->clear();
}

?>